 data:extend(
{
{
    type = "recipe-category",
    name = "lamp-process"
  },
  {
	type = "recipe",
	name = "burner-lamp-recipe",
	enabled = "true",
	ingredients = {
		{"iron-plate", 6},
	},
	result = "burner-lamp"
	},
  {
    type = "recipe",
    name = "burner-component-creation",
    category = "crafting",
    energy_required = 0.5,
    ingredients = {{"iron-plate", 1}},
    result = "burner-component"
  },
  {
    type = "recipe",
    name = "burner-component-consumption",
    category = "lamp-process",
    energy_required = 5,
    ingredients = {{"burner-component", 1}},
    result = "broken-burner-component"
  },
  {
    type = "item",
    name = "burner-component",
    icon = "__burner-lamp__/graphics/bulb.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    stack_size = 50
  },
  {
    type = "item",
    name = "broken-burner-component",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    stack_size = 50
  },
{
    type = "item",
    name = "burner-lamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    place_result = "burner-lamp",
    stack_size = 50
  },
  {
    type = "furnace",
    name = "burner-lamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "burner-lamp"},
    max_health = 55,
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg", }
    },
    resistances =
    {
      {
        type = "fire",
        percent = 80
      },
      {
        type = "explosion",
        percent = 30
      }
    },
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    crafting_categories = {"lamp-process"},
    result_inventory_size = 0,
    energy_usage = "500kW",
    crafting_speed = 0.01,
    source_inventory_size = 1,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0, 0},
          starting_vertical_speed = 0.05
        }
      }
    },
    animation =
    {
		filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
		priority = "high",
		width = 83,
		height = 75,
		shift = {0, -0.1},
		frame_count = 1,
		animation_speed = 1
    },
    working_visualisations =
    {
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        animation =
        {
			filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
			priority = "high",
			width = 83,
			height = 75,
			x = 83,
			shift = {0, -0.1},
			frame_count = 1,
			animation_speed = 1
        },
        light = {intensity = 0.75, size = 35}
      }
    },
    fast_replaceable_group = "furnace"
  },
  
  --[[
{
    type = "furnace",
    name = "burner-lamp",
	icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "burner-lamp"},
    max_health = 55,
	resource_categories = {"basic-solid"},
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-mining-drill.ogg",
        volume = 0.0
      },
      apparent_volume = 1.5,
    },
    animations =
    {
      north =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
	    priority = "high",
	    width = 83,
	    height = 75,
	    x = 83,
	    shift = {0, -0.1},
	    frame_count = 1,
        animation_speed = 1
      },
      east =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1},
	  frame_count = 1,
        animation_speed = 1
      },
      south =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1},
	  frame_count = 1,
        animation_speed = 1
      },
      west =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1},
	  frame_count = 1,
        animation_speed = 1
      }
    },
    mining_speed = 0,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.1 / 3,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 1
        }
      }
    },
    energy_usage = "450kW",
    mining_power = 0,
    resource_searching_radius = 0,
    vector_to_place_result = {0, -1.85},
    module_slots = 0,
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
      width = 0,
      height = 0
    }
  },
  
  
  
  
  
  
  {
    type = "item",
    name = "burner-lamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    place_result = "burner-lamp",
    stack_size = 50
  },
  
 --[[ {
    type = "boiler",
    name = "burner-lamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "burner-lamp"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	energy_usage_per_tick = "5KW",
    fluid_box =
    {
      base_area = 1,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        --{ position = {0, -1} },
      },
    },
    energy_consumption = "390kW",
    burner =
    {
      effectivity = 0.5,
      fuel_inventory_size = 1,
      emissions = 0.1 / 6.5,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 1
        }
      }
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/boiler.ogg",
        volume = 0.8
      },
      max_sounds_per_type = 3
    },
    structure =
    {
      left =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      down =
      {
      filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      left_down =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      right_down =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      left_up =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      right_up =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      t_down =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      },
      t_up =
      {
        filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
      }
    },
    fire =
    {
      left = boilerfires.down,
      down = boilerfires.left,
      left_down = boilerfires.right,
      right_down = boilerfires.left,
      left_up = boilerfires.down,
      right_up = boilerfires.down,
      t_up = boilerfires.down
    },
    burning_cooldown = 0,
    -- these are the pipe pictures - boiler is a pipe as well
    pictures = pipepictures()
	

	
	energy_usage_per_tick = "5KW",
    	light = {intensity = 0.4, size = 25}
    picture_off =
    {
      filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
      priority = "high",
      width = 83,
      height = 75,
      shift = {0, -0.1}
    },
    picture_on =
    {
      
    }]]--
 -- },]]--
})
